﻿@using Jumbula.Web.WebLogic.UserService


@{
    var whitePageClass = string.Empty;

    if (ViewBag.IsRegistrantReport != null && ViewBag.IsRegistrantReport == true)
    {
        whitePageClass = "bg-white";
    }

    var mapKey = Jumbula.Web.Mvc.WebConfig.WebConfigHelper.GoogleMapAPIKey;
}
<!DOCTYPE html>
<html lang="en" xmlns:fb="http://ogp.me/ns/fb#">
<head>
    <title>@ViewBag.Title | Jumbula</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="@ViewBag.MetaDescription" />
    <meta name="keywords" content="@ViewBag.Keywords" />
    @Html.MetaAcceptLanguage()
    @if (Jumbula.Web.Mvc.WebConfig.WebConfigHelper.NoFlowNoIndex)
    {
        // show this tag in dev and qa mode
        <meta name="ROBOTS" content="NOINDEX, NOFOLLOW" />
    }

    <link href='@Url.Content("~/favicon.ico")' rel='shortcut icon' type='image/x-icon' />
    <link href='@Url.Content("~/favicon.ico")' rel='icon' type='image/x-icon' />

    <link href="https://fonts.googleapis.com/css?family=Josefin+Sans:100,100i,300,300i,400,400i,600,600i,700,700i" rel="stylesheet">

    <link href='https://fonts.googleapis.com/css?family=Raleway:700,600,500,300,200,100' rel='stylesheet' type='text/css'>
    @* CSS *@
    @Styles.Render("~/bundles/globalStyle")

    @Styles.Render("~/bundles/EditorStyle")

    @RenderSection("Styles", required: false)

    @if (this.IsUserAuthenticated() && (this.GetCurrentUserRoleType() == RoleCategoryType.System))
    {
        @Styles.Render("~/Content/sysadmin-style")
    }
    @if (this.GetCurrentRequestType() == RequestType.Branded)
    {
        <text>
            <link href="~/Content/Student/Branded.css" rel="stylesheet" />
        </text>
    }

    @if (ViewBag.DynamicStyle != null && !string.IsNullOrEmpty(ViewBag.DynamicStyle))
    {
        <style>
            @Html.Raw(ViewBag.DynamicStyle)
        </style>
    }

    @Scripts.Render("~/bundles/jQuery")
    @Scripts.Render("~/bundles/FormWizard")
    @Scripts.Render("~/bundles/unobtrusive-ajax")

    <script>
        (function (w, d, s, l, i) {
            w[l] = w[l] || []; w[l].push({
                'gtm.start':
                    new Date().getTime(), event: 'gtm.js'
            }); var f = d.getElementsByTagName(s)[0],
                j = d.createElement(s), dl = l != 'dataLayer' ? '&l=' + l : ''; j.async = true; j.src =
                    'https://www.googletagmanager.com/gtm.js?id=' + i + dl; f.parentNode.insertBefore(j, f);
        })(window, document, 'script', 'dataLayer', 'GTM-WMVR42K');
    </script>

</head>

<body id="mainBody" class="@if(this.GetCurrentRequestType() == RequestType.Branded){<text>branded</text>} @if (ViewBag.IsHome != null && ViewBag.IsHome == true){<text>home</text>} @whitePageClass">
    <!-- Google Tag Manager (noscript) -->
    <noscript>
        <iframe src="https://www.googletagmanager.com/ns.html?id=GTM-WMVR42K"
                height="0" width="0" style="display:none;visibility:hidden"></iframe>
    </noscript>
    <!-- End Google Tag Manager (noscript) -->


    @RenderBody()

    <div id="shareModal" class="modal fade" role="dialog">
        <div class="modal-dialog">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header" style="display:none">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title"></h4>
                </div>
                <div class="modal-body">
                    <p>Loading...</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">OK</button>
                </div>
            </div>
        </div>
    </div>


    <div class="modal fade" id="baseModal" tabindex="-1" role="dialog">

    </div>

    @Scripts.Render("~/bundles/globalScript")

    <script type="text/javascript" async>
        var symbol = "$"
        $(document).ready(function () {
            var data = $("meta[name='accept-language']").attr("content");

            if (data == 'zh-CN') {
                symbol = "￥";
            }

            loadListeners();

        });

        $(document).ajaxComplete(function () {
            loadListeners();
        });

        var loadListeners = function () {
            $('.modal-link').unbind().bind("click", function (e) {
                e.preventDefault();

                var url = $(this).attr('href');

                openModal(url);
            })
        };

        var openModal = function (url) {
            $.get(url, function (data) {
                $("#baseModal").html(data);

                $('#baseModal').modal();
            });
        }

        var popoverOptions = {
            container: 'body',
            animation: true,
            html: true
        };
        $('[data-toggle="popover"]').popover(popoverOptions);

        var tooltipOptions = {};
        $('[data-toggle="tooltip"]').tooltip(tooltipOptions);

        $(".help[data-toggle='popover']").click(function (e) {
            e.preventDefault();
        });

        function CallPopUp(url, width) {
            $("#shareModal .modal-body").html("<h5 class='text-center'>Loading...</h5>");

            if (typeof width !== "undefined") {
                $("#shareModal .modal-dialog").css("width", width);
            }

            $('#shareModal').modal();
            $.get(url, function (data) {
                $("#shareModal .modal-body").html(data);
            }).fail(function (ex) {
                alert(ex);
            });
        }

        function blockUI(options) {
            $.blockUI(options || {
                css: {
                    border: 'none',
                    padding: '15px',
                    backgroundColor: '#000',
                    '-webkit-border-radius': '10px',
                    '-moz-border-radius': '10px',
                    opacity: .5,
                    color: '#fff'
                },
                message: '<h6>Please wait...</h6>'
            });
        }

        function unblockUI() {
            $.unblockUI();
        }

        (function (i, s, o, g, r, a, m) {
            i['GoogleAnalyticsObject'] = r; i[r] = i[r] || function () {
                (i[r].q = i[r].q || []).push(arguments)
            }, i[r].l = 1 * new Date(); a = s.createElement(o),
                m = s.getElementsByTagName(o)[0]; a.async = 1; a.src = g; m.parentNode.insertBefore(a, m)
        })(window, document, 'script', '//www.google-analytics.com/analytics.js', 'ga');

        ga('create', 'UA-131513943-1', 'aftersearch.com');
        ga('send', 'pageview');

        function initMap() {

            //var map = new google.maps.Map(document.getElementById('map'), {
            //    center: { lat: -33.8688, lng: 151.2195 },
            //    zoom: 13
            //});

            var input = /** type {!HTMLInputElement} */(
                document.getElementById('address'));

            var types = document.getElementById('type-selector');
            //map.controls[google.maps.ControlPosition.TOP_LEFT].push(input);
            //map.controls[google.maps.ControlPosition.TOP_LEFT].push(types);

            var autocomplete = new google.maps.places.Autocomplete(input);
            //autocomplete.bindTo('bounds', map);

            var infowindow = new google.maps.InfoWindow();

            var marker = new google.maps.Marker({
                //map: map,
                anchorPoint: new google.maps.Point(0, -29)
            });

            autocomplete.addListener('place_changed', function () {
                $("#address").keyup();
                infowindow.close();
                marker.setVisible(false);
                var place = autocomplete.getPlace();

                if (!place.geometry) {
                    window.alert("Autocomplete's returned place contains no geometry");
                    return;
                }

                // If the place has a geometry, then present it on a map.
                //if (place.geometry.viewport) {
                //    map.fitBounds(place.geometry.viewport);
                //} else {
                //    map.setCenter(place.geometry.location);
                //    map.setZoom(17);  // Why 17? Because it looks good.
                //}

                marker.setIcon(/** type {google.maps.Icon} */({
                    url: place.icon,
                    size: new google.maps.Size(71, 71),
                    origin: new google.maps.Point(0, 0),
                    anchor: new google.maps.Point(17, 34),
                    scaledSize: new google.maps.Size(35, 35)
                }));
                marker.setPosition(place.geometry.location);
                marker.setVisible(true);

                var address = '';
                if (place.address_components) {
                    address = [
                        (place.address_components[0] && place.address_components[0].short_name || ''),
                        (place.address_components[1] && place.address_components[1].short_name || ''),
                        (place.address_components[2] && place.address_components[2].short_name || '')
                    ].join(' ');
                }

                infowindow.setContent('<div><strong>' + place.name + '</strong><br>' + address);

                //infowindow.open(map, marker);
            });

            // Sets a listener on a radio button to change the filter type on Places
            //Autocomplete.
            //function setupClickListener(id, types) {
            //    var radioButton = document.getElementById(id);
            //    radioButton.addEventListener('click', function () {
            //        autocomplete.setTypes(types);
            //    });
            //}

            //setupClickListener('changetype-all', []);
            //setupClickListener('changetype-address', ['address']);
            //setupClickListener('changetype-establishment', ['establishment']);
            //setupClickListener('changetype-geocode', ['geocode']);
        }

    </script>

    <script src="https://maps.googleapis.com/maps/api/js?key=@mapKey&libraries=places&signed_in=true&sensor=false&callback=initMap" async defer></script>

    @RenderSection("Scripts", required: false)

</body>
</html>